Package org.gradle.language.base

## Interface ProjectSourceSet

- All Superinterfaces:
    `java.util.Collection<LanguageSourceSet>`, `DomainObjectCollection<LanguageSourceSet>`, `DomainObjectSet<LanguageSourceSet>`, `java.lang.Iterable<LanguageSourceSet>`, `java.util.Set<LanguageSourceSet>`

      @Incubating
      public interface ProjectSourceSet
      extends DomainObjectSet<LanguageSourceSet>

  A container of `LanguageSourceSet`s. Added to a project by the `LanguageBasePlugin`.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`